## reportbug-ng 0.2007.10.30

=== src/Makefile ===
DIRS = ui lib po

all:
	for i in $(DIRS); do \
	    $(MAKE) all -C $$i; \
	done

install:
	for i in $(DIRS); do \
	    $(MAKE) install -C $$i; \
	done

	mkdir -p $(DESTDIR)/usr/bin
	cp reportbug-ng $(DESTDIR)/usr/bin/reportbug-ng
	ln -s reportbug-ng $(DESTDIR)/usr/bin/rng

	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp reportbug-ng.1 $(DESTDIR)/usr/share/man/man1/
	ln -s reportbug-ng.1 $(DESTDIR)/usr/share/man/man1/rng.1

	mkdir -p $(DESTDIR)/usr/share/applications
	cp *.desktop $(DESTDIR)/usr/share/applications/

clean:
	for i in $(DIRS); do \
	    $(MAKE) clean -C $$i; \
	done

=== src/lib/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/usr/share/reportbug-ng/lib
	cp -r *.py $(DESTDIR)/usr/share/reportbug-ng/lib/

clean:
	rm -f *.pyc

=== src/po/Makefile ===
MSGFMT = msgfmt

all:
	for i in $(shell find *.po); do \
	    LANG=$$(basename $$i .po); \
	    $(MSGFMT) $$i -o $$LANG.mo; \
	done

install:
	for i in $(shell find *.mo); do \
	    LANG=$$(basename $$i .mo); \
	    mkdir -p $(DESTDIR)/usr/share/locale/$$LANG/LC_MESSAGES/; \
	    cp $$i $(DESTDIR)/usr/share/locale/$$LANG/LC_MESSAGES/reportbug-ng.mo; \
	done

clean:
	rm -f *.mo *.po~

update:
	pygettext --keyword=tr --default-domain=reportbug-ng ..
	for i in $(shell find *.po); do \
	    echo $$i; \
	    msgmerge -U $$i reportbug-ng.pot; \
	    msgfmt --statistics $$i; \
	done

=== src/ui/Makefile ===
PYUIC = pyuic

GUI_CLASSES = MainWindow.py \
	SubmitDialog.py

all: $(GUI_CLASSES)

%.py: %.ui
	$(PYUIC) -tr _ $< -o $@

install:
	mkdir -p $(DESTDIR)/usr/share/reportbug-ng/ui
	cp -r *.py $(DESTDIR)/usr/share/reportbug-ng/ui/

clean:
	rm -f $(GUI_CLASSES)
	rm -f *.pyc

## reportbug-ng 0.2007.06.27

=== debian/changelog ===
reportbug-ng (0.2007.06.27) unstable; urgency=low

  The "Everybody gets a pony" release

  * Added Dutch translation, thanks Tino Meinen!
  * Added French translation (Closes: #430172), thanks Robert-André Mauchin!
  * Added Norwegian translation (Closes: #430340), thanks Runa Sandvik!
  * Added Polish translation (Closes: #430487), thanks Mateusz Skowroński!

  * Due a change in BTS' html code rng didn't show any bugs anymore, fixed that

  * Remember size and position of MainWindow and restore those settings
    on next startup
  * Removed annoying tooltip from main table

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Jun 2007 13:29:39 +0200

reportbug-ng (0.2007.06.13) unstable; urgency=low

  * Changed priority from extra to optional

  * Added Catalan translation (Closes: #427884), thanks David Planella!
  * Added Czech translataion (Closes: #428430), thanks  Miroslav Kure!
  * Updated Japanese translation (Closes: #427008)
  * Fixed typo in German translation

  * Fixed small bug where reporting a new bug for a sourcepacke foo would 
    result in a bugreport for 'package: src:foo'
  * Fixed small bug where searching for a single bug via bugnumber would show
    unstipped HTML code in the severity column if the severity is grave, 
    serious or important
  * Set default severity to "normal"

 -- Bastian Venthur <venthur@debian.org>  Fri, 08 Jun 2007 10:48:46 +0200

reportbug-ng (0.2007.05.31) unstable; urgency=low

  * Added Spanish translation (Closes: #426436), thanks Javier
    Fernandez-Sanguino!

 -- Bastian Venthur <venthur@debian.org>  Thu, 31 May 2007 11:51:19 +0200

reportbug-ng (0.2007.05.28) unstable; urgency=low

  * Added Japanese translation (Closes: #426288), thanks Junichi Uekawa!
  * Added Swedish translation (Closes: #426297), thanks Daniel Nylander!
  * Fixed German translation (Closes: #426368), thanks Bruno Kleinert!
  * Improved some English strings (Closes: #426289)

  * Refactored strings to make translation easier, updated German po
  * Created update target in src/po to generate new .pot and update all .po
    files in this directory
  * Refactored Makefiles, install-rules are much cleaner now

 -- Bastian Venthur <venthur@debian.org>  Mon, 28 May 2007 10:59:44 +0200

reportbug-ng (0.2007.05.27) unstable; urgency=low

  * Created L10N infrastructure and added German translation
  * Strip leading and trailing whitespaces from userinput (Closes: #423717)
  * Temporarily removed googlemail since it doesn't handle very long URLs
    very well (Closes: #422496)

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 May 2007 16:43:21 +0200

reportbug-ng (0.2007.05.02) unstable; urgency=low

  * Fixed malformed RE which caused a wrong packagename in the 
    bugreport  (Closes: #421866) -- Thank's again Adam!
    - Added unittest to check for errors like this

  * Started to write SOAP support
    - New dependency: python-soappy

  * Small fix in helptext and manpage

 -- Bastian Venthur <venthur@debian.org>  Wed, 02 May 2007 10:40:30 +0200

reportbug-ng (0.2007.04.27) unstable; urgency=high

  * Fixed bug in RE where rng sometimes fails to find all bugs in buglist.
    (Perfect example how dangerous and error prone html-parsing is)
  * Moved settings from [gui] to [general]
  * Added some unittests

 -- Bastian Venthur <venthur@debian.org>  Fri, 27 Apr 2007 09:46:58 +0200

reportbug-ng (0.2007.04.23) unstable; urgency=low

  * Added support for new queries:
    - bugnumber (Closes: #419624)
    - package
    - maintainer@foo.bar
    - src:package
    - from:submitter@foo.bar (Closes: #416131)
    - severity:foo
    - tag:bar
  * Modified --help output and manpage to reflect the new queries
  * When a query returns only one valid	bug, select it and show the 
    bugreport directly
  
  * Lots of internal changes:
    - Major cleanup of html-parsing
    - Introduced lock to avoid race condition when writing buglist
    - Introduced some finite state machine like logic to control "submit new" 
      and "additional info" buttons depending on the search query
    - added DebianBTS.getSingleBug(nr)
    - Bugreport now contains the package the bug belongs to
    - Bugreport.__str__ now returns the packagename too

 -- Bastian Venthur <venthur@debian.org>  Mon, 23 Apr 2007 17:48:12 +0200

reportbug-ng (0.2007.04.20) unstable; urgency=low

  * Switched from SVN to BZR, added XS-Vcs-bzr line to debian/crontrol to
    reflect that.

 -- Bastian Venthur <venthur@debian.org>  Fri, 20 Apr 2007 18:06:19 +0200

reportbug-ng (0.2007.04.16) unstable; urgency=low

  * Added HTMLStripper.handle_charref() to fix a small HTML rendering 
    issue
  * Added shortcut "rng" linking to "reportbug-ng"
  * Added support for python's ConfigParser and provide --help and 
    --version options
  * Improved Manpage
  * Removed redundant CHANGELOG

 -- Bastian Venthur <venthur@debian.org>  Mon, 16 Apr 2007 11:31:34 +0200

reportbug-ng (0.2007.04.13) unstable; urgency=low

  * Added support for Mutt-NG

 -- Bastian Venthur <venthur@debian.org>  Fri, 13 Apr 2007 13:42:23 +0200

reportbug-ng (0.2007.04.07.2) unstable; urgency=low

  * Don't send Version-Header when no version is given, since it 
    confuses our BTS (Closes: #417861)

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Apr 2007 15:29:30 +0200

reportbug-ng (0.2007.04.07) unstable; urgency=low

  * Dropped support for opera since it does not support newlines in 
    MAILTO URLs (Closes: #418035)
  * Correctly handle HTML quotes (Closes: #415575)
  * RNG is now killable by SIGINT (Closes: #414582)
  * Added support for command line option:
      reportbug-ng foobar
    will start reportbug-ng and search for bugs of package foobar
  * Some more unicode improvements

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Apr 2007 11:17:57 +0200

reportbug-ng (0.2007.03.29) unstable; urgency=low

  * Fixed some issues where I did not convert strings to unicode, before using
    them internally (Closes: #416598, #416505)



=== debian/control ===
Source: reportbug-ng
Section: utils
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 5), python-central (>= 0.5), pyqt-tools
Standards-Version: 3.7.2
XS-VCS-bzr: http://bzr.debian.org/bzr/reportbug-ng/ 
XS-Python-Version: current

Package: reportbug-ng
Architecture: any
Depends: ${python:Depends}, python-qt3, python-soappy
XB-Python-Version: ${python:Versions}
Description: An easy to use alternative to Debian's classic reportbug
 Reportbug-NG is an alternative to Debian's classic reportbug written with
 the end-user in mind. It has a nice and clean QT-interface allowing you to
 search for existing bugreports and filter them easy and fast. 
 .
 You can give additional information to existing bugreports or create new 
 ones. In both cases a dialog will ask you for all relevant informations
 (summary, severity, tags, ...) and will finally start your favorite 
 mailclient, where you only have to fill the gap with your full report and
 click the "send" button.
 .
 Homepage: http://reportbug-ng.alioth.debian.org/

## reportbug-ng 0.2007.10.30~feisty1

=== debian/changelog ===
reportbug-ng (0.2007.10.30~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Tue,  5 Feb 2008 02:18:08 +0000

reportbug-ng (0.2007.10.30) unstable; urgency=low

  * Translation updates:
    - Updated Spanish translation, thanks Javier Fernández-Sanguino Peña
      (Closes: #439652)
    - Updated French translation, thanks Cyril Brulebois (Closes: #440112)
    - Updated Polish translation, thanks Mateusz Skowroński (Closes: #440523)

 -- Bastian Venthur <venthur@debian.org>  Tue, 30 Oct 2007 20:02:59 +0100

reportbug-ng (0.2007.08.20) unstable; urgency=low

  * Fixed bug where rng failed to load bug report if invoked with a single
    bug number as argument

 -- Bastian Venthur <venthur@debian.org>  Mon, 20 Aug 2007 16:44:07 +0200

reportbug-ng (0.2007.08.12) unstable; urgency=low

  * Replaced QTable with QListView:
    - Really fast filtering of very long bug lists (Closes: #416579)
    - Correctly sorts all columns (Closes: #435830)
    - Save width for every column and restore it on next start

  * Updated French translation (Closes: #436171)
  * Updated Italian translation (Closes: #436051)
  
  * Minor cleanups

 -- Bastian Venthur <venthur@debian.org>  Sun, 12 Aug 2007 13:26:07 +0200

reportbug-ng (0.2007.08.03.2) unstable; urgency=low

  * Corrected sorting order for sort-by-status (Closes: #435822)

 -- Bastian Venthur <venthur@debian.org>  Fri, 03 Aug 2007 15:33:18 +0200

reportbug-ng (0.2007.08.03) unstable; urgency=low

  * Show date of last action in Buglist (Closes: #416134)
  * Enabled sorting of tableitems by all available headers (Closes: #433521)
  
  * Updated German translation

 -- Bastian Venthur <venthur@debian.org>  Fri, 03 Aug 2007 13:55:16 +0200

reportbug-ng (0.2007.08.02) unstable; urgency=low

  * Call mailclient and webbrowser in a new thread no matter what 
    (Closes: #432567)

  * Use xdg-email as default mail client if nothing else was chosen 
    (Closes: #434293)

  * Improved package description (Closes: #435486)
  * Fixed some typos (Closes: #434367)

 -- Bastian Venthur <venthur@debian.org>  Thu, 02 Aug 2007 10:54:55 +0200

reportbug-ng (0.2007.07.19) unstable; urgency=low

  * Fixed handling of http_proxy environment variable (Closes: #433790)

 -- Bastian Venthur <venthur@debian.org>  Thu, 19 Jul 2007 21:40:31 +0200

reportbug-ng (0.2007.07.18) unstable; urgency=low

  * Allow multiple filter keywords and negation 
    "foo bar -baz" matches all reports with foo and bar and not baz 
    (Closes: #428772)
    
  * Added Italian translation (Closes: #433114), thanks Gabriele Stilli!
  * Added Hebrew translation (Closes: #433577), thanks Baruch Even!

 -- Bastian Venthur <venthur@debian.org>  Wed, 18 Jul 2007 15:22:39 +0200

reportbug-ng (0.2007.07.12) unstable; urgency=low

  * New "Close Bugreport" action
  * Don't send severity for close- and additional-info-bugs
  * Further user interface improvements: (Closes: #432554)
    - Added a main menu which can be toggled
    - Improved shortcuts and captions
    - Added a Quit-action with shortcut for users using DEs lacking a windeco 
  * Added support for http_proxy environment variable in SoapPy 
    (Closes: #432319)
  * Fixed handling of URLs with semicolon (Closes: #432822)
  * Updated German translation

 -- Bastian Venthur <venthur@debian.org>  Thu, 12 Jul 2007 10:08:20 +0200

reportbug-ng (0.2007.07.08) unstable; urgency=low

  * Corrected Architecture to all (Closes: #430846)
  * Updated menu file to new section Applications/System instead of Apps/System
  
  * Switched from generic Widget to MainWindow, this brings a Menu, Toolbar and
    a Statusbar -- now we finally can show the links in the statusbar
    (Closes: #418763)

  * Added support for filing WNPP bugs (Closes: #416136)

  * Use freedesktop.org's xdg-utils to find user's preferred browser in a 
    desktop environment neutral way (Closes: #420108)

  * Be more robust when receiving crappy unicode chars
  * Don't load bugreports when selection changes due hiding of rows

  * Added logging support and command line options to control logging

  * Added SOAP support and enabled it by default for all queries
  * Added many unittests to ensure SOAP provides the same infos as HTML
  * Added value function for Bugreports which returns 'urgency value' for this
    bug. 
  * Some refactoring

 -- Bastian Venthur <venthur@debian.org>  Thu, 28 Jun 2007 13:50:15 +0200

## reportbug-ng 0.2007.10.30~gutsy1

=== debian/changelog ===
reportbug-ng (0.2007.10.30~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Tue,  5 Feb 2008 02:17:53 +0000

## reportbug-ng 0.2007.10.30

=== debian/control ===
Source: reportbug-ng
Section: utils
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 5), python-central (>= 0.5), pyqt-tools
Standards-Version: 3.7.2
XS-VCS-bzr: http://bzr.debian.org/bzr/reportbug-ng/ 
XS-Python-Version: current

Package: reportbug-ng
Architecture: all
Depends: ${python:Depends}, python-qt3, python-soappy, xdg-utils
XB-Python-Version: ${python:Versions}
Description: An easy to use alternative to Debian's classic reportbug
 Graphical interface for interacting with the Debian Bug Tracking System.
 .
 Reportbug-NG is a graphical interface using Qt for searching, filtering,
 reporting or manipulating bugs in Debian's Bug Tracking System. Reportbug-NG
 can search bug reports and display, create and close a bug report.
 .
 Homepage: http://reportbug-ng.alioth.debian.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/reportbug-ng.sgml > reportbug-ng.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/reportbug-ng.
	$(MAKE) DESTDIR=$(CURDIR)/debian/reportbug-ng install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_pycentral
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## reportbug-ng 1.22

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS = ui lib po
+DIRS = ui translations
 
 all:
 	for i in $(DIRS); do \
@@ -9,6 +9,9 @@
 	for i in $(DIRS); do \
 	    $(MAKE) install -C $$i; \
 	done
+
+	mkdir -p $(DESTDIR)/usr/share/reportbug-ng
+	cp *.py $(DESTDIR)/usr/share/reportbug-ng/
 
 	mkdir -p $(DESTDIR)/usr/bin
 	cp reportbug-ng $(DESTDIR)/usr/bin/reportbug-ng
@@ -25,3 +28,4 @@
 	for i in $(DIRS); do \
 	    $(MAKE) clean -C $$i; \
 	done
+	rm -f *.pyc

=== src/translations/Makefile ===
SRCFILES = ../*.py ../ui/*.py

all:
	@echo Compiling translations...
	for i in $(shell find *.ts); do \
	    lrelease $$i; \
	done

install:
	@echo Installing translation files...
	mkdir -p $(DESTDIR)/usr/share/reportbug-ng/translations/;
	for i in $(shell find *.qm); do \
	    cp $$i $(DESTDIR)/usr/share/reportbug-ng/translations; \
	done

clean:
	@echo Removing generated files...
	rm -f *.qm

update:
	@echo Updating translation files...
	for i in $(shell find *.ts); do \
	    echo $$i; \
	    pylupdate4 $(SRCFILES) -ts $$i; \
	done

template:
	@echo Generating translation template...
	pylupdate4 ../*.py ../ui/*.py -ts xx_XX.ts
	@echo Rename template according to your language and edit.

=== debian/changelog ===
reportbug-ng (1.22) unstable; urgency=low

  * Fix "Some colors not set properly on dark/inverted themes" Applied
    Philipp's patch (Closes: #581341) -- Thank you Philipp Hartmann!

 -- Bastian Venthur <venthur@debian.org>  Sat, 19 Jun 2010 15:01:40 +0200

reportbug-ng (1.21) unstable; urgency=low

  * Updated Italian translation. (Closes: #577535) -- Grazie Gabriele Stilli!
  * Updated German translation.

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Apr 2010 15:14:46 +0200

reportbug-ng (1.20) unstable; urgency=low

  * Bumped standards version (no changes).
  * Removed Sylpheed-Claws support (we still have Sylpheed and Claws-Mail
    support)
  * Don't throw exception anymore when query is emtpy (Thanks Per!)

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Apr 2010 17:11:04 +0200

reportbug-ng (1.19) unstable; urgency=low

  * Fix "[reportbug-ng] not work from:", Fixed typo. (Closes: #571267)

 -- Bastian Venthur <venthur@debian.org>  Sun, 21 Mar 2010 00:56:26 +0100

reportbug-ng (1.18) unstable; urgency=low

  * Fixe automatich sorting.

 -- Bastian Venthur <venthur@debian.org>  Sun, 21 Feb 2010 12:11:07 +0100

reportbug-ng (1.17) unstable; urgency=low

  * Added option to hide closed bugs.
  * Fixed loading/saving of bugnumber column width

 -- Bastian Venthur <venthur@debian.org>  Sat, 20 Feb 2010 12:46:54 +0100

reportbug-ng (1.16) unstable; urgency=low

  * Fixed tags column, tags are now showed again.
  * Added support for complex queries like "severity:grave tag:serious"
  * Added row for package name

 -- Bastian Venthur <venthur@debian.org>  Sun, 14 Feb 2010 16:55:26 +0100

reportbug-ng (1.15) unstable; urgency=low

  * Fix "fails to start ("AttributeError: 'Cache' object has no
    attribute 'set_filter'")", rng now depends on python-apt >= 0.7.93 which
    provides this method (Closes: #568352)
  * Removed had dependency on Python 2.5 

 -- Bastian Venthur <venthur@debian.org>  Sat, 06 Feb 2010 14:55:38 +0100

reportbug-ng (1.14) unstable; urgency=low

  * Silence deprecation warning in packagelineedit.py by using new method
    names 

 -- Bastian Venthur <venthur@debian.org>  Sun, 24 Jan 2010 13:04:48 +0100

reportbug-ng (1.13) unstable; urgency=low

  * Added Progressbar for Webview and loading of Bugreports
  * Added Debian logo as MainWindow icon

 -- Bastian Venthur <venthur@debian.org>  Sun, 10 Jan 2010 15:31:10 +0100

reportbug-ng (1.12) unstable; urgency=low

  * Fix "Email client does not open when reporting a new bug" 
    Thanks Lars Kruse for the patch! (Closes: #554591)

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 Dec 2009 17:48:56 +0100

reportbug-ng (1.11) unstable; urgency=low

  * Ported gettext to QT's translation mechanism (brain huuuurts!)
  * Added TRANSLATIONS document to help translators

 -- Bastian Venthur <venthur@debian.org>  Sun, 25 Oct 2009 18:10:19 +0100

reportbug-ng (1.10) unstable; urgency=low

  * Fix "Doesn't give any explanations of the severities and what they
    mean" (Closes: #439203)
    - Moved the explanations from what-is-this-help to to a always visible
      lable
    - Also Moved the help for the tags from what-is-this to tooltips

 -- Bastian Venthur <venthur@debian.org>  Sat, 24 Oct 2009 12:17:25 +0200

reportbug-ng (1.9) unstable; urgency=low

  * Fixed small bug where rng uses Bugreport.id instead of .bug_num (id will
    vanish in future versions of debbugs according to Don) 

 -- Bastian Venthur <venthur@debian.org>  Wed, 14 Oct 2009 23:59:01 +0200

reportbug-ng (1.8) unstable; urgency=low

  * Fix "[reportbug-ng] 1.7 Does not download bug report text" fixed various
    bugs related to python-debianbts > 1.0 transition (Closes: #550568)
    - The html of a bug was not shown on click in the table
    - The summary was not shown on closing a bug
    - Additional information did not work because the bugnumber was empty

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2009 14:06:00 +0200

reportbug-ng (1.7) unstable; urgency=low

  * Various adjustments because python-debianbts introduced some non-backwards
    compatible changes.
  * rng now depends on pyton-debianbts >= 1.0
  * Sorting by severity works again
  * Status now shows "Open", "Closed" and "Archived"
  * Fix "[reportbug-ng] ordering by column Bugnumber works as a string
    not as a number" python-debianbts provides now numbers instead of strings
    (Closes: #542544)

 -- Bastian Venthur <venthur@debian.org>  Sat, 10 Oct 2009 20:36:05 +0200

reportbug-ng (1.6) unstable; urgency=low

  * Updated VCS-git field in debian/control, we moved to github
  * Moved Toolbuttons in seperate toolbar and put Strings besides them, this
    should improve usability by making clearer what the buttons mean and also
    bigger to make it easier to click
  * Fix "[reportbug-ng] Severity colors set to black even when clicking
    "Cancel"" Fixed bug where settings where applied to rng even when the user
    clicked cancel.(Closes: #526332)
  * Bumped standards version (no changes)

 -- Bastian Venthur <venthur@debian.org>  Sat, 19 Sep 2009 16:17:13 +0200

reportbug-ng (1.5) unstable; urgency=low

  * Applied patch from Daniel Schaal:
    - Added Packagecompletion in lineedit
    - Fix for "Last Action" Column to show the dates again
    - Lineedit now has focus on start
  * Added dependency on python-apt for package completion

 -- Bastian Venthur <venthur@debian.org>  Mon, 03 Aug 2009 19:40:31 +0200

reportbug-ng (1.4.1) unstable; urgency=low

  * Fix "rng still doesn't include the output of package bug scripts", rng now
    uses xterm instead of the generic x-terminal-emulator, which waits until
    the bugscript finished before returning to rng.
    - Consequently rng also depends on xterm now (Closes: #526119)

 -- Bastian Venthur <venthur@debian.org>  Mon, 08 Jun 2009 14:33:29 +0200

reportbug-ng (1.4) unstable; urgency=low

  * Finalized /usr/share/bug/* support. Added support for:
    - submit-as
    - package-status
    - report-with


=== debian/control ===
Source: reportbug-ng
Section: utils
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 5), python-support (>= 0.6), pyqt4-dev-tools, libqt4-dev
Standards-Version: 3.8.4
VCS-git: git://github.com/venthur/reportbug-ng.git
Homepage: http://reportbug-ng.alioth.debian.org/

Package: reportbug-ng
Architecture: all
Depends: ${python:Depends}, python-debianbts (>= 1.0), python-qt4, xdg-utils, xterm, python-apt (>= 0.7.93)
Description: An easy to use alternative to Debian's classic reportbug
 Reportbug-NG is a graphical interface using Qt for searching, filtering,
 reporting or manipulating bugs in Debian's Bug Tracking System.

=== debian/rules ===
--- 
+++ 
@@ -61,10 +61,6 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -77,7 +73,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_pycentral
+	dh_pysupport
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
@@ -94,5 +90,8 @@
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## reportbug-ng 1.25

=== debian/changelog ===
reportbug-ng (1.25) unstable; urgency=low

  * Fix "[reportbug-ng] desktop file not compliant with XDG standard"
    (Closes: #590203). Thanks Pino Toscano!
  * Bumped Standards Version (no changes).

 -- Bastian Venthur <venthur@debian.org>  Wed, 24 Aug 2011 22:50:18 +0200

reportbug-ng (1.24) unstable; urgency=low

  * Updated czech translation. Thanks Petr! (Closes: #601236)
  * Table columns now have localizable captions. Thanks Petr!
    (Closes: #604415)
  * Completed German translation.

 -- Bastian Venthur <venthur@debian.org>  Sun, 28 Nov 2010 13:30:43 +0100

reportbug-ng (1.23) unstable; urgency=low

  * Fix "rtbug-ng: Row size increases after backspacing in the filter
    expression field" (Closes: #591693)
  * Added support for alpine mail client (Closes: #591838)

 -- Bastian Venthur <venthur@debian.org>  Fri, 06 Aug 2010 21:30:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: debhelper (>= 5), python-support (>= 0.6), pyqt4-dev-tools, libqt4-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 VCS-git: git://github.com/venthur/reportbug-ng.git
 Homepage: http://reportbug-ng.alioth.debian.org/

## reportbug-ng 1.26

=== debian/changelog ===
reportbug-ng (1.26) unstable; urgency=low

  * Fix "Option setting does not work" (Closes: #644763)

 -- Bastian Venthur <venthur@debian.org>  Wed, 14 Dec 2011 19:46:06 +0100

## reportbug-ng 1.27

=== debian/changelog ===
reportbug-ng (1.27) unstable; urgency=low

  * Fixed splitting of name, value in bug control file (Closes: #679252)
    Thanks Ben Hutchings for the prompt patch and sorry for the inconvenience.

 -- Bastian Venthur <venthur@debian.org>  Wed, 27 Jun 2012 18:11:24 +0200

## reportbug-ng 1.31

=== Makefile ===
all:
	$(MAKE) all -C src 

install:
	$(MAKE) install -C src

clean:
	$(MAKE) clean -C src

=== src/Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	mkdir -p $(DESTDIR)/usr/share/applications
 	cp *.desktop $(DESTDIR)/usr/share/applications/
 
+	mkdir -p $(DESTDIR)/usr/share/pixmaps
+	cp ui/rng.xpm $(DESTDIR)/usr/share/pixmaps/
+
 clean:
 	for i in $(DIRS); do \
 	    $(MAKE) clean -C $$i; \

=== src/translations/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCFILES = ../*.py ../ui/*.py
+SRCFILES = ../*.py ../ui/*.py ../ui/*.ui
 
 all:
 	@echo Compiling translations...

=== src/ui/Makefile ===
PYUIC = pyuic4
RCC = rcc
PYRCC = pyrcc4

GUI_CLASSES = mainwindow.py \
	submitdialog.py \
	settings.py

RCCS = icons.rcc
PYRCCS = icons_rc.py


all: $(GUI_CLASSES) $(RCCS) $(PYRCCS)

%.rcc: %.qrc
	$(RCC) $< -o $@

%_rc.py: %.qrc
	$(PYRCC) $< -o $@

%.py: %.ui
	$(PYUIC) $< -o $@

install:
	mkdir -p $(DESTDIR)/usr/share/reportbug-ng/ui
	cp -r *.py $(DESTDIR)/usr/share/reportbug-ng/ui/

clean:
	rm -f $(GUI_CLASSES) $(RCCS) $(PYRCCS)
	rm -f *.pyc

=== debian/changelog ===
reportbug-ng (1.31) unstable; urgency=medium

  * Various lintian fixes and build-time warnings by Anders. Thanks again!

 -- Bastian Venthur <venthur@debian.org>  Tue, 18 Mar 2014 15:07:27 +0100

reportbug-ng (1.30) unstable; urgency=medium

  * Another round of patches by Anders Jonsson -- thank you very much! I think
    I owe you a beer or two!
  * Fix "please don't simply use Debian logo as icon" replaced the old Debian
    logo with a new one in .xpm (Closes: #432791)
  * `reportbug-ng --version` now shows correctly the version of rng
    (Closes: #505839)
  * Added some more text to the "About rng" dialog (Closes: #501975)
  * Fixed instructions for translators

 -- Bastian Venthur <venthur@debian.org>  Fri, 07 Mar 2014 18:00:31 +0100

reportbug-ng (1.29) unstable; urgency=medium

  * More l10n fixes: additional Swedish translations and fixes to Dutch,
    Norwegian, Hebrew and Catalan translations. Thanks again Anders!

 -- Bastian Venthur <venthur@debian.org>  Mon, 24 Feb 2014 09:59:01 +0100

reportbug-ng (1.28) unstable; urgency=medium

  * Fix "usage guide localization doesn't work". Applied patch by Anders
    Jonsson. (Closes: #739713)
  * Fix "[reportbug-ng] Swedish translation doesn't show the File->Quit
    menuitem text". Applied patch by Anders Jonsson, thank you very much
    Anders! (Closes: #586430)

 -- Bastian Venthur <venthur@debian.org>  Sat, 22 Feb 2014 12:03:31 +0100

=== debian/control ===
Source: reportbug-ng
Section: utils
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 7), dh-python, python, pyqt4-dev-tools, libqt4-dev
Standards-Version: 3.9.2
VCS-git: git://github.com/venthur/reportbug-ng.git
Homepage: http://reportbug-ng.alioth.debian.org/

Package: reportbug-ng
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-debianbts (>= 1.0), python-qt4, xdg-utils, xterm, python-apt (>= 0.7.93)
Description: Easy to use alternative to Debian's classic reportbug
 Reportbug-NG is a graphical interface using Qt for searching, filtering,
 reporting or manipulating bugs in Debian's Bug Tracking System.

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/reportbug-ng.
@@ -73,7 +73,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_pysupport
+	dh_python2
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo

## reportbug-ng 2.1

=== src/ui/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-PYUIC = pyuic4
+PYUIC = pyuic5
 RCC = rcc
-PYRCC = pyrcc4
+PYRCC = pyrcc5
 
 GUI_CLASSES = mainwindow.py \
 	submitdialog.py \

=== debian/changelog ===
reportbug-ng (2.1) unstable; urgency=medium

  * Fix "[reportbug-ng] incorrect information on packages not installed
    ("Package's Depends/Recommends/Suggest field is empty.")"
    Replaced dpkg --print-avail with dpkg-query --status (Closes: #535275)

 -- Bastian Venthur <venthur@debian.org>  Tue, 31 May 2016 14:24:35 +0200

reportbug-ng (2.0) unstable; urgency=medium

  * Ported to Qt5
  * Bumped standards version
  * Removed menu file

 -- Bastian Venthur <venthur@debian.org>  Tue, 31 May 2016 09:46:59 +0200

=== debian/control ===
Source: reportbug-ng
Section: utils
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 7), dh-python, python, pyqt5-dev-tools, qtbase5-dev-tools, qttools5-dev-tools, qtchooser
Standards-Version: 3.9.2
VCS-git: git://github.com/venthur/reportbug-ng.git
Homepage: http://reportbug-ng.alioth.debian.org/

Package: reportbug-ng
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-debianbts (>= 1.0), python-pyqt5, python-pyqt5.qtwebkit, xdg-utils, xterm, python-apt (>= 0.7.93)
Description: Easy to use alternative to Debian's classic reportbug
 Reportbug-NG is a graphical interface using Qt for searching, filtering,
 reporting or manipulating bugs in Debian's Bug Tracking System.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 
 CFLAGS = -Wall -g
+
+export QT_SELECT=5
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0

## reportbug-ng 2.2

=== debian/changelog ===
reportbug-ng (2.2) unstable; urgency=medium

  * Orphaning package.

 -- Bastian Venthur <venthur@debian.org>  Fri, 28 Dec 2018 17:35:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: reportbug-ng
 Section: utils
 Priority: optional
-Maintainer: Bastian Venthur <venthur@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), dh-python, python, pyqt5-dev-tools, qtbase5-dev-tools, qttools5-dev-tools, qtchooser
 Standards-Version: 3.9.2
 VCS-git: git://github.com/venthur/reportbug-ng.git
